<ActionBar class="action-bar">
    <Label class="action-bar-title" text="What the film"></Label>
</ActionBar>

<GridLayout class="page page-placeholder">
    <ListView class="list-group" [items]="movies" (itemTap)="onItemTap($event)" backgroundColor="#3f4577">
        <ng-template let-movie="item" let-i="index">
            <GridLayout class="round-corners">
                <GridLayout margin="5" borderRadius="10" height="250">
                    <Image src="https://image.tmdb.org/t/p/w780/{{movie.poster_path}}" height="100%" width="100%"
                        stretch="aspectFill" borderRadius="10"></Image>
                    <Label height="100%" width="100%" backgroundColor="black"
                        opacity="0.2">
                    </Label>
                    <GridLayout [nsRouterLink]="['../movie', movie.id]" rows="auto, auto, *, auto, auto, auto"
                        columns="auto, *, auto" padding="10" borderRadius="10">
                        <Label row="0" col="0" class="fa text-left" color="white"
                            fontSize="15" text="wtf"></Label> <!-- tu je bio onaj imdb &#xf2d8 treba skuzit kak wtf pretvorit u takav zapis-->
                        <Label color="white" row="1" col="0" horizontalAlignment="center" class="card--rating" [text]="movie.vote_count" color="white"></Label>
                        <Label row="3" col="0" colSpan="3" class="card--title" color="#fff">
                                <FormattedString>
                                    <Span  [text]="movie.original_title" fontAttributes="Bold"></Span>
                                </FormattedString>
                            </Label>
                        <WrapLayout row="4" col="0" colSpan="3"
                            orientation="horizontal" marginTop="5">
                            <div *ngFor="let genre_id of movie.genre_ids">
                                <div *ngFor="let genre of genres">
                                    <Label padding="5 15" marginRight="2.5" color="white"
                                    *ngIf="genre.id == genre_id" [text]="genre.name" class="round-corners"></Label>
                                </div>
                            </div>
                        </WrapLayout>
                    
                        <Label row="5" col="0" colSpan="3" class="card--duration" [text]="movie.release_date" marginTop="5" color="white"></Label>
                    </GridLayout>
                </GridLayout>
            </GridLayout>
        </ng-template>
    </ListView>
</GridLayout>